Subject: Re: 5.10 LTS Kernel: 2 or 6 years?

From: Pavel Machek <[email-masked]>
Date: Thu, 18 Feb 2021 11:04:22 +0100

Hi!

(Second attempt to reply, as first one is not in the archives?!)

> > So far the jury is still out for 5.10, are you willing to help with
> > this?  If not, why are you willing to hope that others are going to do
> > your work for you?  I am talking to some companies, but am not willing
> > to commit to anything in public just yet, because no one has committed
> > to me yet.
> 
> Following up on this as I did not hear back from you.  Are you and/or
> your company willing to help out with the testing of 5.10 to ensure that
> it is a LTS kernel?  So far I have not had any companies agree to help
> out with this effort, which is sad to see as it seems that companies
> want 6 years of stable kernels, yet do not seem to be able to at the
> least, do a test-build/run of those kernels, which is quite odd...

We expect to maintain 5.10.X kernel for 10 years, which means you can
expect similar testing we do for 4.4 and 4.19 to happen for 5.10:

https://www.cip-project.org/blog/2020/12/02/cip-to-embark-on-kernel-5-10-development-for-slts

If Broadcom (or anyone else) needs long-term support for 5.10 kernel,
they are welcome to explore/join the CIP project. That should happen
even if 5.10-stable is only mainained for 2 years.

More information can be found here:

https://wiki.linuxfoundation.org/civilinfrastructureplatform/start
https://wiki.linuxfoundation.org/civilinfrastructureplatform/ciptesting/cipreferencehardware

Best regards,
								Pavel
PS: Speaking for myself, but not saying anything not publicly known, I
believe :-). I believe I can get more official statements if someone
needs them.
-- 
DENX Software Engineering GmbH,      Managing Director: Wolfgang Denk
HRB 165235 Munich, Office: Kirchenstr.5, D-82194 Groebenzell, Germany
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel